%define api_version 1.0
%define pkg_name geronimo-stax-api_%{api_version}_spec
%define subrel 1
Name:          geronimo-stax-1.0-api
Version:       1.0.1
Release:       %mkrel 3
Summary:       Streaming API for XML (STAX API 1.0)
Group:         Development/Java
License:       ASL
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-stax-api_1.0_spec-1.0.1/
# tar czf geronimo-stax-api_1.0_spec-1.0.1-src-svn.tar.gz geronimo-stax-api_1.0_spec-1.0.1
Source0:       geronimo-stax-api_1.0_spec-1.0.1-src-svn.tar.gz
BuildRequires: geronimo-parent-poms
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-plugin
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo Java STAX Spec API 1.0.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo Java STAX Spec API 1.0.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE.txt NOTICE.txt ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

sed -i "s|<version>1.3</version>|<version>1.4</version>|" pom.xml

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-stax-%{api_version}-api.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-stax-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-stax-%{api_version}-api.pom geronimo-stax-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-stax-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-stax-%{api_version}-api

%files
%{_javadir}/geronimo-stax-1.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-stax-%{api_version}-api



%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0.1-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.0.1-3.mga4
+ Revision: 516173
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.0.1-1.mga3
+ Revision: 357686
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 gil <gil> 1.0.1-0.mga2
+ Revision: 127351
- imported package geronimo-stax-1.0-api


* Sun Jul 03 2011 gil <gil> 1.0.1-0.%%mkrel
- initial rpm
